## ros-humble-gazebo-ros2-control-demos 0.4.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)
project(gazebo_ros2_control_demos)

# Default to C11
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 11)
endif()
# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
endif()

if(NOT WIN32)
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(control_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_action REQUIRED)
find_package(std_msgs REQUIRED)

install(DIRECTORY
  launch
  config
  urdf
  DESTINATION share/${PROJECT_NAME}/
)

add_executable(example_position examples/example_position.cpp)
ament_target_dependencies(example_position
  rclcpp
  rclcpp_action
  control_msgs
)

add_executable(example_velocity examples/example_velocity.cpp)
ament_target_dependencies(example_velocity
  rclcpp
  std_msgs
)

add_executable(example_effort examples/example_effort.cpp)
ament_target_dependencies(example_effort
  rclcpp
  std_msgs
)

add_executable(example_gripper examples/example_gripper.cpp)
ament_target_dependencies(example_gripper
  rclcpp
  std_msgs
)

add_executable(example_diff_drive examples/example_diff_drive.cpp)
ament_target_dependencies(example_diff_drive
  rclcpp
  geometry_msgs
)

add_executable(example_tricycle_drive examples/example_tricycle_drive.cpp)
ament_target_dependencies(example_tricycle_drive
  rclcpp
  geometry_msgs
)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_lint_auto REQUIRED)

  ament_lint_auto_find_test_dependencies()
endif()

## Install
install(
  TARGETS
    example_position
    example_velocity
    example_effort
    example_diff_drive
    example_tricycle_drive
    example_gripper
  DESTINATION
    lib/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-humble-gazebo-ros2-control-demos (0.4.4-1jammy) jammy; urgency=high

  * Set the C++ version to 17 (#221 <https://github.com/ros-controls/gazebo_ros2_control/issues/221>) (#228 <https://github.com/ros-controls/gazebo_ros2_control/issues/228>)
    (cherry picked from commit 6da415cf82a75e2a5e9f9a41400957ad45b2be84)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Update diff_drive_controller.yaml (#224 <https://github.com/ros-controls/gazebo_ros2_control/issues/224>) (#225 <https://github.com/ros-controls/gazebo_ros2_control/issues/225>)
    The wrong base frame is set. The name of the link in the URDF is chassis.
    (cherry picked from commit c915939bfc13a43b2ab0e30029725f6c8023f3ca)
    Co-authored-by: David V. Lu!! <mailto:davidvlu@gmail.com>
  * Add pre-commit and CI-format (#206 <https://github.com/ros-controls/gazebo_ros2_control/issues/206>) (#207 <https://github.com/ros-controls/gazebo_ros2_control/issues/207>)
    * Add pre-commit and ci-format
    (cherry picked from commit f2cf686a1a97cefc9b5e3daa115e0c4854ea5707)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Contributors: Alejandro Hernández Cordero, Christoph Fröhlich, mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Sun, 20 Aug 2023 22:00:00 -0000

ros-humble-gazebo-ros2-control-demos (0.4.3-1jammy) jammy; urgency=high

  * Clean shutdown position example (#196 <https://github.com/ros-controls/gazebo_ros2_control/issues/196>) (#199 <https://github.com/ros-controls/gazebo_ros2_control/issues/199>)
  * Contributors: mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 22 May 2023 22:00:00 -0000

ros-humble-gazebo-ros2-control-demos (0.4.2-1jammy) jammy; urgency=high



 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Wed, 01 Mar 2023 23:00:00 -0000

ros-humble-gazebo-ros2-control-demos (0.4.1-1jammy) jammy; urgency=high

  * Add tricycle controller demo (#145 <https://github.com/ros-controls/gazebo_ros2_control/issues/145>)
  * Contributors: Tony Najjar

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 06 Feb 2023 23:00:00 -0000

ros-humble-gazebo-ros2-control-demos (0.4.0-1jammy) jammy; urgency=high

  * fix demo launch
  * Fix setting initial values if command interfaces are not defined. (#110 <https://github.com/ros-simulation/gazebo_ros2_control/issues/110>)
  * Contributors: Bence Magyar, Denis Štogl, Maciej Bednarczyk

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 08 Aug 2022 22:00:00 -0000

ros-humble-gazebo-ros2-control-demos (0.3.1-1jammy) jammy; urgency=high

  * Fixed CMake source file extension (#140 <https://github.com/ros-simulation/gazebo_ros2_control/issues/140>)
  * Adding simulation time parameter for the controller manager (#138 <https://github.com/ros-simulation/gazebo_ros2_control/issues/138>)
    Adding the simulation parameter so that the controller manager uses the simulation time instead of the ROS time.  The '/odom' and corresponding tf will only be published if this parameter is set to true.
  * Adjust repo URL (#134 <https://github.com/ros-simulation/gazebo_ros2_control/issues/134>)
  * Changed launch variable name (#130 <https://github.com/ros-simulation/gazebo_ros2_control/issues/130>)
  * Contributors: Alejandro Hernández Cordero, Bence Magyar, Eslam Salah, Jakub "Deli" Delicat

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 04 Jul 2022 22:00:00 -0000

ros-humble-gazebo-ros2-control-demos (0.3.0-1jammy) jammy; urgency=high

  * [Forward port main] Added diff drive example (#113 <https://github.com/ros-simulation/gazebo_ros2_control/issues/113>) (#129 <https://github.com/ros-simulation/gazebo_ros2_control/issues/129>)
  * Merge pull request #120 <https://github.com/ros-simulation/gazebo_ros2_control/issues/120> from ros-simulation/ahcorde/main/117
    Adapted to Humble
  * make linters happy
  * Update to Humble API
  * Support for mimic joints and example with gripper. (#107 <https://github.com/ros-simulation/gazebo_ros2_control/issues/107>)
  * Contributors: Alejandro Hernández Cordero, Denis Štogl, ahcorde

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 26 May 2022 22:00:00 -0000

ros-humble-gazebo-ros2-control-demos (0.0.8-1jammy) jammy; urgency=high

  * Enable setting default position of the simulated robot using ros2_control URDF tag. (#100 <https://github.com/ros-simulation/gazebo_ros2_control//issues/100>)
  * Contributors: Denis Štogl

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 27 Jan 2022 23:00:00 -0000

ros-humble-gazebo-ros2-control-demos (0.0.7-1jammy) jammy; urgency=high



 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 02 Dec 2021 23:00:00 -0000

ros-humble-gazebo-ros2-control-demos (0.0.6-1jammy) jammy; urgency=high

  * Fix ros2_control resource manager in galatic (#96 <https://github.com/ros-simulation/gazebo_ros2_control//issues/96>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Wed, 17 Nov 2021 23:00:00 -0000

ros-humble-gazebo-ros2-control-demos (0.0.4-1jammy) jammy; urgency=high

  * fix maintainer email (#92 <https://github.com/ros-simulation/gazebo_ros2_control//issues/92>)
  * Galactic: Pass time and period to update function (#88 <https://github.com/ros-simulation/gazebo_ros2_control//issues/88>)
  * Update severity of msgs to proper level (#91 <https://github.com/ros-simulation/gazebo_ros2_control//issues/91>)
  * Add Imu and FT state interfaces (#65 <https://github.com/ros-simulation/gazebo_ros2_control//issues/65>)
    Co-authored-by: Jordan Palacios <mailto:jordan.palacios@pal-robotics.com>
  * Contributors: Alejandro Hernández Cordero, Andy McEvoy, Bence Magyar, Victor Lopez

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 25 Oct 2021 22:00:00 -0000

ros-humble-gazebo-ros2-control-demos (0.0.3-1jammy) jammy; urgency=high



=== debian/control ===
Source: ros-humble-gazebo-ros2-control-demos
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez <alejandro@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-control-msgs, ros-humble-geometry-msgs, ros-humble-rclcpp, ros-humble-rclcpp-action, ros-humble-std-msgs, ros-humble-ros-workspace
Homepage: http://ros.org/wiki/gazebo_ros_control
Standards-Version: 3.9.2

Package: ros-humble-gazebo-ros2-control-demos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ament-index-python, ros-humble-control-msgs, ros-humble-diff-drive-controller, ros-humble-effort-controllers, ros-humble-gazebo-ros, ros-humble-gazebo-ros2-control, ros-humble-geometry-msgs, ros-humble-hardware-interface, ros-humble-joint-state-broadcaster, ros-humble-joint-trajectory-controller, ros-humble-launch, ros-humble-launch-ros, ros-humble-rclcpp, ros-humble-robot-state-publisher, ros-humble-ros2-control, ros-humble-ros2-controllers, ros-humble-std-msgs, ros-humble-tricycle-controller, ros-humble-velocity-controllers, ros-humble-xacro, ros-humble-ros-workspace
Description: gazebo_ros2_control_demos

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-gazebo-ros2-control-demos//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-gazebo-ros2-control-demos 0.4.10

=== debian/changelog ===
ros-humble-gazebo-ros2-control-demos (0.4.10-1bookworm) bookworm; urgency=high

  * Add support for getting PID parameters from loaded parameters (#374 <https://github.com/ros-controls/gazebo_ros2_control//issues/374>) (#375 <https://github.com/ros-controls/gazebo_ros2_control//issues/375>)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    (cherry picked from commit 6a4cc84344ed1a86807dc77f23f199598a205296)
    Co-authored-by: Sai Kishor Kothakota <mailto:saisastra3@gmail.com>
  * Add missing dependency (#350 <https://github.com/ros-controls/gazebo_ros2_control//issues/350>) (#351 <https://github.com/ros-controls/gazebo_ros2_control//issues/351>)
    (cherry picked from commit 06da0b04fefc0fa8f0bb8d4f57425d0abb261654)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Contributors: mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 16 Sep 2024 16:00:00 -0000

ros-humble-gazebo-ros2-control-demos (0.4.9-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 01 Jul 2024 16:00:00 -0000

ros-humble-gazebo-ros2-control-demos (0.4.8-1bookworm) bookworm; urgency=high

  * Change initial pose of pendulum (#313 <https://github.com/ros-controls/gazebo_ros2_control//issues/313>) (#315 <https://github.com/ros-controls/gazebo_ros2_control//issues/315>)
    (cherry picked from commit 40ee42da16af9f1bc78886dbaec8082fd3fdea26)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Add PID controller to control joint using effort (#294 <https://github.com/ros-controls/gazebo_ros2_control//issues/294>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Add an example with a passive joint (backport #172 <https://github.com/ros-controls/gazebo_ros2_control//issues/172>) (#306 <https://github.com/ros-controls/gazebo_ros2_control//issues/306>)
    * Add an example with a passive joint (#172 <https://github.com/ros-controls/gazebo_ros2_control//issues/172>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    (cherry picked from commit 7d5ec5dbad710d628bc14a82195c196f088621b8)
    # Conflicts:
    #     doc/index.rst
    * Fixed docs
    ---------
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: chameau5050, mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 13 May 2024 16:00:00 -0000

ros-humble-gazebo-ros2-control-demos (0.4.7-1bookworm) bookworm; urgency=high

  * Cleanup of demos (#290 <https://github.com/ros-controls/gazebo_ros2_control/issues/290>) (#292 <https://github.com/ros-controls/gazebo_ros2_control/issues/292>)
    (cherry picked from commit 03b853b5337f6b8e9b8d4c0c8a3d814d7f34a97c)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Contributors: mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Wed, 20 Mar 2024 16:00:00 -0000

ros-humble-gazebo-ros2-control-demos (0.4.6-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-gazebo-ros2-control-demos (0.4.5-1bookworm) bookworm; urgency=high

  * Rename cartpole (#252 <https://github.com/ros-controls/gazebo_ros2_control/issues/252>) (#254 <https://github.com/ros-controls/gazebo_ros2_control/issues/254>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    (cherry picked from commit b39074a4a1adf8a9319a6d4378ac26e2aa9e298a)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Replace double quotes with single ones (#243 <https://github.com/ros-controls/gazebo_ros2_control/issues/243>) (#244 <https://github.com/ros-controls/gazebo_ros2_control/issues/244>)
    (cherry picked from commit f991075a672a26d42c49504e07f8dbb46dfcbb4a)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Cleanup controller config (#232 <https://github.com/ros-controls/gazebo_ros2_control/issues/232>) (#233 <https://github.com/ros-controls/gazebo_ros2_control/issues/233>)
    * Remove wrong yaml entries
    * Rename effort_controller
    (cherry picked from commit 934621ee236dc9b32350b113c6b42a894bfbf092)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Contributors: mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Wed, 03 Jan 2024 16:00:00 -0000

ros-humble-gazebo-ros2-control-demos (0.4.4-1bookworm) bookworm; urgency=high

  * Set the C++ version to 17 (#221 <https://github.com/ros-controls/gazebo_ros2_control/issues/221>) (#228 <https://github.com/ros-controls/gazebo_ros2_control/issues/228>)
    (cherry picked from commit 6da415cf82a75e2a5e9f9a41400957ad45b2be84)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Update diff_drive_controller.yaml (#224 <https://github.com/ros-controls/gazebo_ros2_control/issues/224>) (#225 <https://github.com/ros-controls/gazebo_ros2_control/issues/225>)
    The wrong base frame is set. The name of the link in the URDF is chassis.
    (cherry picked from commit c915939bfc13a43b2ab0e30029725f6c8023f3ca)
    Co-authored-by: David V. Lu!! <mailto:davidvlu@gmail.com>
  * Add pre-commit and CI-format (#206 <https://github.com/ros-controls/gazebo_ros2_control/issues/206>) (#207 <https://github.com/ros-controls/gazebo_ros2_control/issues/207>)
    * Add pre-commit and ci-format
    (cherry picked from commit f2cf686a1a97cefc9b5e3daa115e0c4854ea5707)


=== debian/control ===
Source: ros-humble-gazebo-ros2-control-demos
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez <alejandro@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-control-msgs, ros-humble-geometry-msgs, ros-humble-rclcpp, ros-humble-rclcpp-action, ros-humble-std-msgs, ros-humble-ros-workspace
Homepage: http://ros.org/wiki/gazebo_ros_control
Standards-Version: 3.9.2

Package: ros-humble-gazebo-ros2-control-demos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ament-index-python, ros-humble-control-msgs, ros-humble-diff-drive-controller, ros-humble-effort-controllers, ros-humble-gazebo-ros, ros-humble-gazebo-ros2-control, ros-humble-geometry-msgs, ros-humble-hardware-interface, ros-humble-imu-sensor-broadcaster, ros-humble-joint-state-broadcaster, ros-humble-joint-trajectory-controller, ros-humble-launch, ros-humble-launch-ros, ros-humble-rclcpp, ros-humble-robot-state-publisher, ros-humble-ros2-control, ros-humble-std-msgs, ros-humble-tricycle-controller, ros-humble-velocity-controllers, ros-humble-xacro, ros-humble-ros-workspace
Description: gazebo_ros2_control_demos

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-gazebo-ros2-control-demos//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-gazebo-ros2-control-demos//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-gazebo-ros2-control-demos//opt/ros/humble/opt/gazebo_ros2_control_demos/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
